dnl Process this file with autoconf to produce a configure script.
dnl $Id: configure.in,v 1.7 2001/03/12 16:04:49 leydold Exp $

AC_INIT(src/prng.h)
AM_INIT_AUTOMAKE(prng, 3.0)
AM_CONFIG_HEADER(config.h)

dnl things required by automake
AC_ARG_PROGRAM
AC_PROG_MAKE_SET

dnl Check for which system.
AC_CANONICAL_HOST

dnl Checks for programs.
AC_PROG_CC
AC_PROG_CPP
AC_CHECK_TOOL(RANLIB, ranlib, :)
AC_CHECK_TOOL(AR, ar, :)
AC_PROG_RANLIB
AC_PROG_INSTALL

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_C_INLINE
AC_CHECK_SIZEOF(long long, 0)
AC_CHECK_SIZEOF(long, 0)

dnl Checks for header files
AC_HEADER_STDC
AC_CHECK_HEADERS(limits.h)

dnl Checks for libraries.

dnl Checks for library functions.
AC_CHECK_FUNCS(strtoul)

AC_OUTPUT( \
	Makefile \
	src/Makefile \
        examples/Makefile \
	tests/Makefile \
	doc/Makefile )

dnl -----------------------------------------




